Subject: Re: RAMDISK: ran out of compressed data

From: Marco Stornelli <[email-masked]>
Date: Tue, 08 Jul 2008 08:58:02 +0200

Siva Prasad ha scritto:
> Hi,
> 
> I am getting the following error when I tried to boot with ramdisk. Any
> specific reason or clue why this is happening?
> 
> RAMDISK: Compressed image found at block 0
> RAMDISK: ran out of compressed data
> invalid compressed format (err=1)
> 
> I am running into this on 8641D runing 2.6.24-rc6 kernel. My .config
> around block area are...
> 
> CONFIG_BLK_DEV=y
> # CONFIG_BLK_DEV_FD is not set
> # CONFIG_BLK_CPQ_DA is not set
> # CONFIG_BLK_CPQ_CISS_DA is not set
> # CONFIG_BLK_DEV_DAC960 is not set
> # CONFIG_BLK_DEV_UMEM is not set
> # CONFIG_BLK_DEV_COW_COMMON is not set
> CONFIG_BLK_DEV_LOOP=y
> # CONFIG_BLK_DEV_CRYPTOLOOP is not set
> # CONFIG_BLK_DEV_NBD is not set
> # CONFIG_BLK_DEV_SX8 is not set
> CONFIG_BLK_DEV_RAM=y
> CONFIG_BLK_DEV_RAM_COUNT=16
> CONFIG_BLK_DEV_RAM_SIZE=49152
> CONFIG_BLK_DEV_RAM_BLOCKSIZE=1024
> 
> Thanks
> Siva
> 
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 
I think it's not a kernel problem but a problem related with the 
compression method instead. Check out how you are compressing the ramdisk.

-- 
Marco Stornelli
Embedded Software Engineer
CoRiTeL - Consorzio di Ricerca sulle Telecomunicazioni
http://www.coritel.it

[email-masked]
+39 06 72582838